<?xml version="1.0" encoding="utf-8"?>
<Element>
    <Script>
        <Name>BasisExamples\StripFoundation.py</Name>
        <Title>Strip Foundation</Title>
        <Version>1.0</Version>
        <ReadLastInput>True</ReadLastInput>
        <Interactor>True</Interactor>
    </Script>

    <Page>
        <Name>FoundationPage</Name>
        <Text>Foundation</Text>

        <!-- Reference point -->
        <Parameter>
            <Name>ReferencePoint</Name>
            <Text>Reference point</Text>
            <Value>Center</Value>
            <ValueList>Inside|Center|Outside</ValueList>
            <ValueType>StringComboBox</ValueType>
        </Parameter>

        <!-- Foundation elevation -->
        <Parameter>
            <Name>FounElevation</Name>
            <Text>Elevation</Text>
            <TextId>1001</TextId>
            <Value>0</Value>
            <ValueType>Integer</ValueType>
        </Parameter>

        <!-- Size Expander -->
        <Parameter>
            <Name>SizeExpander</Name>
            <Text>Foundation size</Text>
            <Value>False</Value>
            <ValueType>Expander</ValueType>

            <!-- Foundation width -->
            <Parameter>
                <Name>FounWidth</Name>
                <Text>Width</Text>
                <Value>2000</Value>
                <ValueType>Length</ValueType>
            </Parameter>

            <!-- Foundation height -->
            <Parameter>
                <Name>FounHeight</Name>
                <Text>Height</Text>
                <Value>1000</Value>
                <ValueType>Length</ValueType>
            </Parameter>
        </Parameter>

        <!-- Foundation propeties Expander -->
        <Parameter>
            <Name>FounPropExpander</Name>
            <Text>Properties</Text>
            <Value>False</Value>
            <ValueType>Expander</ValueType>

            <!-- use global properties -->
            <Parameter>
                <Name>IsFounUseGlobalProp</Name>
                <Text>Use global properties</Text>
                <Value>False</Value>
                <ValueType>CheckBox</ValueType>
            </Parameter>

            <!-- pen -->
            <Parameter>
                <Name>FounPen</Name>
                <Text>Pen</Text>
                <Value>1</Value>
                <ValueType>Pen</ValueType>
                <Visible>IsFounUseGlobalProp == False</Visible>
            </Parameter>

            <!-- Stroke -->
            <Parameter>
                <Name>FounStroke</Name>
                <Text>Stroke</Text>
                <Value>1</Value>
                <ValueType>Stroke</ValueType>
                <Visible>IsFounUseGlobalProp == False</Visible>
            </Parameter>

            <!-- Color -->
            <Parameter>
                <Name>FounColor</Name>
                <Text>Color</Text>
                <Value>1</Value>
                <ValueType>Color</ValueType>
                <Visible>IsFounUseGlobalProp == False</Visible>
            </Parameter>

            <!-- Layer -->
            <Parameter>
                <Name>FounLayer</Name>
                <Text>Layer</Text>
                <Value>1</Value>
                <ValueType>Layer</ValueType>
                <Visible>IsFounUseGlobalProp == False</Visible>
            </Parameter>

        </Parameter>

    </Page>


    <!-- Wall PAGE -->
    <Page>
        <Name>WallPage</Name>
        <Text>Wall</Text>

        <!-- Size Expander -->
        <Parameter>
            <Name>SizeExpander</Name>
            <Text>Wall size</Text>
            <Value>False</Value>
            <ValueType>Expander</ValueType>

            <!-- Wall width -->
            <Parameter>
                <Name>WallWidth</Name>
                <Text>Width</Text>
                <Value>400</Value>
                <ValueType>Length</ValueType>
            </Parameter>

            <!-- Wall height -->
            <Parameter>
                <Name>WallHeight</Name>
                <Text>Height</Text>
                <Value>2000</Value>
                <ValueType>Length</ValueType>
            </Parameter>
        </Parameter>

        <!-- Wall propeties Expander -->
        <Parameter>
            <Name>WallPropExpander</Name>
            <Text>Properties</Text>
            <Value>False</Value>
            <ValueType>Expander</ValueType>

            <!-- use global properties -->
            <Parameter>
                <Name>IsWallUseGlobalProp</Name>
                <Text>Use global properties</Text>
                <Value>False</Value>
                <ValueType>CheckBox</ValueType>
            </Parameter>

            <!-- pen -->
            <Parameter>
                <Name>WallPen</Name>
                <Text>Pen</Text>
                <Value>1</Value>
                <ValueType>Pen</ValueType>
                <Visible>IsWallUseGlobalProp == False</Visible>
            </Parameter>

            <!-- Stroke -->
            <Parameter>
                <Name>WallStroke</Name>
                <Text>Stroke</Text>
                <Value>1</Value>
                <ValueType>Stroke</ValueType>
                <Visible>IsWallUseGlobalProp == False</Visible>
            </Parameter>

            <!-- Color -->
            <Parameter>
                <Name>WallColor</Name>
                <Text>Color</Text>
                <Value>1</Value>
                <ValueType>Color</ValueType>
                <Visible>IsWallUseGlobalProp == False</Visible>
            </Parameter>

            <!-- Layer -->
            <Parameter>
                <Name>WallLayer</Name>
                <Text>Layer</Text>
                <Value>1</Value>
                <ValueType>Layer</ValueType>
                <Visible>IsWallUseGlobalProp == False</Visible>
            </Parameter>

        </Parameter>

    </Page>

</Element>
